<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HeatComfortMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dae/class_heat_comfort_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">HeatComfortMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for HeatComfortMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/dae/class_heat_comfort_mdfr.png" usemap="#HeatComfortMdfr_map" alt=""/>
  <map id="HeatComfortMdfr_map" name="HeatComfortMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,109,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac1a29e8aca94a0899f76b329ec3649a8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/class_heat_comfort_mdfr.html#ac1a29e8aca94a0899f76b329ec3649a8">Init</a> ()</td></tr>
<tr class="separator:ac1a29e8aca94a0899f76b329ec3649a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a812a18c06d00321ecce9ea014b3138b0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/class_heat_comfort_mdfr.html#a812a18c06d00321ecce9ea014b3138b0">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a812a18c06d00321ecce9ea014b3138b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87eaeb769b6d3611402873eefa80b968"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/class_heat_comfort_mdfr.html#a87eaeb769b6d3611402873eefa80b968">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a87eaeb769b6d3611402873eefa80b968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e4e688e418636220b222f2ff88cc88"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/class_heat_comfort_mdfr.html#ab4e4e688e418636220b222f2ff88cc88">OnReconnect</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ab4e4e688e418636220b222f2ff88cc88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa56a64bffcd986653c68eca976aefa4b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/class_heat_comfort_mdfr.html#aa56a64bffcd986653c68eca976aefa4b">GetDebugText</a> ()</td></tr>
<tr class="separator:aa56a64bffcd986653c68eca976aefa4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d810d167c6af4cf0555d7b89f947cdf"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/class_heat_comfort_mdfr.html#a0d810d167c6af4cf0555d7b89f947cdf">GetDebugTextSimple</a> ()</td></tr>
<tr class="separator:a0d810d167c6af4cf0555d7b89f947cdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f1e0ce550bf1bb6a774581a7dd57b18"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dae/class_heat_comfort_mdfr.html#a6f1e0ce550bf1bb6a774581a7dd57b18">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:a6f1e0ce550bf1bb6a774581a7dd57b18"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a812a18c06d00321ecce9ea014b3138b0" name="a812a18c06d00321ecce9ea014b3138b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a812a18c06d00321ecce9ea014b3138b0">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HeatComfortMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html#l00012">12</a> of file <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a>.</p>

</div>
</div>
<a id="a87eaeb769b6d3611402873eefa80b968" name="a87eaeb769b6d3611402873eefa80b968"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87eaeb769b6d3611402873eefa80b968">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HeatComfortMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html#l00017">17</a> of file <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a>.</p>

</div>
</div>
<a id="aa56a64bffcd986653c68eca976aefa4b" name="aa56a64bffcd986653c68eca976aefa4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa56a64bffcd986653c68eca976aefa4b">&#9670;&#160;</a></span>GetDebugText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> HeatComfortMdfr::GetDebugText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html#l00027">27</a> of file <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a>.</p>

</div>
</div>
<a id="a0d810d167c6af4cf0555d7b89f947cdf" name="a0d810d167c6af4cf0555d7b89f947cdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d810d167c6af4cf0555d7b89f947cdf">&#9670;&#160;</a></span>GetDebugTextSimple()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> HeatComfortMdfr::GetDebugTextSimple </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html#l00032">32</a> of file <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a>.</p>

</div>
</div>
<a id="ac1a29e8aca94a0899f76b329ec3649a8" name="ac1a29e8aca94a0899f76b329ec3649a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1a29e8aca94a0899f76b329ec3649a8">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HeatComfortMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a>.</p>

</div>
</div>
<a id="ab4e4e688e418636220b222f2ff88cc88" name="ab4e4e688e418636220b222f2ff88cc88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4e4e688e418636220b222f2ff88cc88">&#9670;&#160;</a></span>OnReconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HeatComfortMdfr::OnReconnect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html#l00022">22</a> of file <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a>.</p>

</div>
</div>
<a id="a6f1e0ce550bf1bb6a774581a7dd57b18" name="a6f1e0ce550bf1bb6a774581a7dd57b18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f1e0ce550bf1bb6a774581a7dd57b18">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HeatComfortMdfr::OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html#l00038">38</a> of file <a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/<a class="el" href="../../d2/d61/_heat_comfort_mdfr_8c_source.html">HeatComfortMdfr.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/dae/class_heat_comfort_mdfr.html">HeatComfortMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
